Bug 507807 - S-c-tools cleanup: Configuration - Settings
S-c-tools cleanup: Configuration - Settings
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-audit (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 493593
  Show dependency treegraph
 
Reported: 2009-06-24 07:21 EDT by Roman Rakus
Modified: 2014-01-12 19:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 07:06:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Appearance of the utility with all tabs in main window (40.61 KB, image/jpeg)
2009-07-29 06:19 EDT, Radek Novacek
no flags Details
Proposed patch that relayouts the window (372.97 KB, patch)
2009-08-10 06:22 EDT, Radek Novacek
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-06-24 07:21:25 EDT
Description of problem:
In tab Configuration is label Settings and button Edit. Maybe it would be good to move child dialog (with tabs Kernel, Audit Daemon, etc) into main application, so there will be main application with many tabs.
Or there could be button with label Settings (not label settings and next to it button Edit).
I'm not sure which one will look better

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't
hesitate to ask project maintainers for any kind of help.
Comment 1 Radek Novacek 2009-07-29 06:19:22 EDT
Created attachment 355518 [details]
Appearance of the utility with all tabs in main window

I tried to design proposed layout with all tabs in main window but it looks too
crowded. Can somebody please check this layout and tell me his opinion before I
will try to create fully operational patch? Thanks
Comment 2 Miloslav Trmač 2009-07-29 12:25:55 EDT
That only shows tabs for editing rules.

How does the user view current auditing status, and daemon settings (the above-mentioned Settings - Edit)?
Comment 3 Radek Novacek 2009-08-03 02:12:58 EDT
(In reply to comment #2)
> How does the user view current auditing status, and daemon settings (the
> above-mentioned Settings - Edit)?  
First two buttons on toolbar are for enabling and disabling audit service. 5th button is configuration - same as Settings - Edit. There is also state informations in the status bar.
Comment 4 Miloslav Trmač 2009-08-03 11:07:15 EDT
Usually, the main application are contains information more important, or more frequently used, than an application-wide settings dialog, and I'm quite convinced this is the case here.  On the other hand I don't have any data to suggest it isn't the case, either.

The GUI does look much better.  Feel free to go head with the patch :)
Comment 5 Miloslav Trmač 2009-08-03 11:11:28 EDT
Sorry...
(In reply to comment #4)
> Usually, the main application are contains information more important, or more
s/are/area/
> frequently used, than an application-wide settings dialog, and I'm quite
s/quite/not quite/
> convinced this is the case here.
Comment 6 Radek Novacek 2009-08-10 06:22:52 EDT
Created attachment 356869 [details]
Proposed patch that relayouts the window

This patch contains a big bunch of changes to achieve suggested layout. I tried to preserve current functionality but it needs to be properly tested. It also makes OK buttons sensitive to changes but it won't a problem to make them non-sensitive (it depends on final decision in bug #507806).
Comment 7 Roman Rakus 2009-08-11 10:15:31 EDT
Final decision in bug #507806 was done.
Comment 8 Bug Zapper 2009-11-16 05:23:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-11-04 06:59:43 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Miloslav Trmač 2010-11-04 07:06:53 EDT
Thanks for your report.  I'm afraid further development of s-c-audit was stopped and no significant changes are currently planned; I briefly looked at the patch at the time it was posted, but I was not able to find the time required to properly integrate it.

Note You need to log in before you can comment on or make changes to this bug.